Skip to Content
0

UI Theme Designer complains about used minor SAPUI5 version in the preview application

Nov 29, 2017 at 09:37 AM

124

avatar image
Former Member

Dear colleagues,

Im facing a problem on an EP 7.5 SP7 while trying to render an UI5 preview in UI theme designer:

I ran through market place and checked 2379298, 2183590 etc, took a look at: https://www.youtube.com/watch?v=Skg4MGDpyus, but none of those seems to describe this issue.

Before investing more time on this: due my own logic this shouldnt happen at all. Are there any configuration steps I have missed? How can I control the used UI5 version within the preview application? Can I at all? If not, how can I overcome this issue?

Thank you,

cheers

preview.jpg (52.9 kB)
10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

2 Answers

Best Answer
Nick Rankin
Nov 29, 2017 at 01:39 PM
0

Hi Lawrence,

Are you trying to open a theme that was created prior to the activation of the SAPUI5 1.44 libraries (i.e: activation of Fiori 2.0)? Also sap_bluecrystal is replaced by sap_belize in Fiori 2.0 scenarios.

Best regards,

Nick

Show 3 Share
10 |10000 characters needed characters left characters exceeded
Former Member

Hi Nick,

Are you trying to open a theme that was created prior to the activation of the SAPUI5 1.44 libraries (i.e: activation of Fiori 2.0)?<br>

Thank you very much. Yes, you are right, its a custom belize based, pre Fiori 2.0 activation theme. Do we need to rebuild it analogous to a theme rebuild after an EP upgrade e.g., so its structure correlates to Fiori 2.0? If so, is this issue covered by a SAP note a could point to?

Also sap_bluecrystal is replaced by sap_belize in Fiori 2.0 scenarios.<br>

Thank you, we are aware of this and will use belize

cheers

1

Hi Lawrence,

There was a bug where sap_belize was available before activation of Fiori 2.0 design in earlier releases (Note: 2512938). This theme would actually act as if it were a sap_bluecrystal theme even though it was named "sap_belize". This is probably why the error you are facing is triggered (it is actually not a true sap_belize theme).

Once you start a design based on sap_belize now since activating Fiori 2.0 design, your theme will be compatible in the future Support Package levels.

Best regards,

Nick

0
Former Member

Hi Nick,

thank you for your friendly help. Meanwhile I followed your suggestion and created a new theme inherited from belize, no changes, including build and save. Restarted UI theme designer, choosed "SAPUI5 Application Previews", selected "SAP Fiori launchpad". No changes on runtime behaviour: got same error.

I also checked both themes (the one build by customer, as well as the one created by me) with PCD inspector and both have property: com.sapportals.portal.style.version -> UI5=1.44.10;UR=10.30.7.274797.0

So building from scratch doesnt seems to solve our issue. Do you have any ideas what else I could check resp. try? Are there any other known problems could cause this issue? Thank you again,

cheers

0
avatar image
Former Member Dec 21, 2017 at 09:11 AM
0

Its a SAP product error, opened an OSS. SAP is currently incapable to provide a fix, but this task is in progress. Workaround available:

To load pages please go to target pages and add the page as application with following links:

SAP Fiori Launchpad

/sapui5-sdk-1.44/test-resources/sap/ushell/shells/demo/FioriLaunchpad.html?use-demo-content=true&configFileUrl=config_setThemeOff.json

Master Detail (FLP)

/sapui5-sdk-1.44/test-resources/sap/ui/templateapps/demokit/master-detail/webapp/test/flpSandboxMockServer.html#MasterDetail-display&/Objects/ObjectID_1

Worklist (FLP)

/sapui5-sdk-1.44/test-resources/sap/ui/templateapps/demokit/worklist/webapp/test/flpSandboxMockServer.html#Worklist-display

Manage Products

/sapui5-sdk-1.44/test-resources/sap/m/demokit/tutorial/worklist/07/webapp/test/mockServer.html

Explored

/sapui5-sdk-1.44/explored.html

cheers

Share
10 |10000 characters needed characters left characters exceeded